diff --git a/audio/elisa/pkg-plist b/audio/elisa/pkg-plist
index cf09b911b034..0e918376f774 100644
--- a/audio/elisa/pkg-plist
+++ b/audio/elisa/pkg-plist
@@ -1,9 +1,6 @@
 bin/elisa
 lib/elisa/libelisaLib.so.0
 lib/elisa/libelisaLib.so.0.1
-%%QT_QMLDIR%%/org/kde/elisa/libelisaqmlplugin.so
-%%QT_QMLDIR%%/org/kde/elisa/plugins.qmltypes
-%%QT_QMLDIR%%/org/kde/elisa/qmldir
 share/applications/org.kde.elisa.desktop
 share/dbus-1/services/org.kde.elisa.service
 share/icons/hicolor/128x128/apps/elisa.png
@@ -14,6 +11,7 @@ share/icons/hicolor/48x48/apps/elisa.png
 share/icons/hicolor/64x64/apps/elisa.png
 share/icons/hicolor/scalable/apps/elisa.svg
 share/locale/ar/LC_MESSAGES/elisa.mo
+share/locale/ast/LC_MESSAGES/elisa.mo
 share/locale/az/LC_MESSAGES/elisa.mo
 share/locale/be/LC_MESSAGES/elisa.mo
 share/locale/bg/LC_MESSAGES/elisa.mo
@@ -25,21 +23,25 @@ share/locale/da/LC_MESSAGES/elisa.mo
 share/locale/de/LC_MESSAGES/elisa.mo
 share/locale/el/LC_MESSAGES/elisa.mo
 share/locale/en_GB/LC_MESSAGES/elisa.mo
+share/locale/eo/LC_MESSAGES/elisa.mo
 share/locale/es/LC_MESSAGES/elisa.mo
 share/locale/et/LC_MESSAGES/elisa.mo
 share/locale/eu/LC_MESSAGES/elisa.mo
 share/locale/fi/LC_MESSAGES/elisa.mo
 share/locale/fr/LC_MESSAGES/elisa.mo
 share/locale/gl/LC_MESSAGES/elisa.mo
+share/locale/he/LC_MESSAGES/elisa.mo
 share/locale/hi/LC_MESSAGES/elisa.mo
 share/locale/hu/LC_MESSAGES/elisa.mo
 share/locale/ia/LC_MESSAGES/elisa.mo
 share/locale/id/LC_MESSAGES/elisa.mo
+share/locale/is/LC_MESSAGES/elisa.mo
 share/locale/it/LC_MESSAGES/elisa.mo
 share/locale/ja/LC_MESSAGES/elisa.mo
 share/locale/ka/LC_MESSAGES/elisa.mo
 share/locale/ko/LC_MESSAGES/elisa.mo
 share/locale/lt/LC_MESSAGES/elisa.mo
+share/locale/lv/LC_MESSAGES/elisa.mo
 share/locale/nl/LC_MESSAGES/elisa.mo
 share/locale/nn/LC_MESSAGES/elisa.mo
 share/locale/pa/LC_MESSAGES/elisa.mo
@@ -48,6 +50,7 @@ share/locale/pt/LC_MESSAGES/elisa.mo
 share/locale/pt_BR/LC_MESSAGES/elisa.mo
 share/locale/ro/LC_MESSAGES/elisa.mo
 share/locale/ru/LC_MESSAGES/elisa.mo
+share/locale/sa/LC_MESSAGES/elisa.mo
 share/locale/sk/LC_MESSAGES/elisa.mo
 share/locale/sl/LC_MESSAGES/elisa.mo
 share/locale/sv/LC_MESSAGES/elisa.mo
@@ -57,4 +60,4 @@ share/locale/uk/LC_MESSAGES/elisa.mo
 share/locale/zh_CN/LC_MESSAGES/elisa.mo
 share/locale/zh_TW/LC_MESSAGES/elisa.mo
 share/metainfo/org.kde.elisa.appdata.xml
-share/qlogging-categories5/elisa.categories
+share/qlogging-categories6/elisa.categories
diff --git a/audio/juk/Makefile b/audio/juk/Makefile
index 52fdfacf8091..8c6b8fcc2f58 100644
--- a/audio/juk/Makefile
+++ b/audio/juk/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	juk
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	audio kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,14 +10,14 @@ LICENSE=	GPLv2
 
 LIB_DEPENDS=	libtag.so:audio/taglib
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons globalaccel i18n iconthemes itemviews \
-		jobwidgets kio notifications phonon service solid sonnet textwidgets \
-		wallet widgetsaddons windowsystem xmlgui \
+		coreaddons crash dbusaddons globalaccel i18n iconthemes \
+		itemviews jobwidgets kio notifications phonon service solid \
+		sonnet statusnotifieritem textwidgets wallet widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/audio/juk/distinfo b/audio/juk/distinfo
index efc3f02909e7..827b63ffc16e 100644
--- a/audio/juk/distinfo
+++ b/audio/juk/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889370
-SHA256 (KDE/release-service/23.08.5/juk-23.08.5.tar.xz) = c774267da46c80f36dd4bf5b247831cb34b16f9c11e7be114371697175a1ad71
-SIZE (KDE/release-service/23.08.5/juk-23.08.5.tar.xz) = 2088240
+TIMESTAMP = 1734460023
+SHA256 (KDE/release-service/24.12.0/juk-24.12.0.tar.xz) = 12b5cb9a37572c4d64b2edac71ce5633a35d6bee8be3c4c1eb6d0fff1db5ceab
+SIZE (KDE/release-service/24.12.0/juk-24.12.0.tar.xz) = 1910264
diff --git a/audio/juk/pkg-plist b/audio/juk/pkg-plist
index 73f86b78c102..79dcebe449d8 100644
--- a/audio/juk/pkg-plist
+++ b/audio/juk/pkg-plist
@@ -11,10 +11,9 @@ share/icons/hicolor/64x64/apps/juk.png
 %%DATADIR%%/pics/playing.png
 %%DATADIR%%/pics/theme.svg
 share/kio/servicemenus/jukservicemenu.desktop
-share/knotifications5/juk.notifyrc
-share/kxmlgui5/juk/jukui-rtl.rc
-share/kxmlgui5/juk/jukui.rc
+share/knotifications6/juk.notifyrc
 share/locale/ar/LC_MESSAGES/juk.mo
+share/locale/ast/LC_MESSAGES/juk.mo
 share/locale/be/LC_MESSAGES/juk.mo
 share/locale/bg/LC_MESSAGES/juk.mo
 share/locale/bn/LC_MESSAGES/juk.mo
diff --git a/audio/kmix/Makefile b/audio/kmix/Makefile
index ace043dc0a59..121cba281c71 100644
--- a/audio/kmix/Makefile
+++ b/audio/kmix/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kmix
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	audio kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,19 +10,15 @@ LICENSE=	GPLv2
 
 LIB_DEPENDS=	libasound.so:audio/alsa-lib
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs config configwidgets coreaddons dbusaddons \
-		emoticons globalaccel i18n iconthemes init itemmodels \
-		itemviews kcmutils kdelibs4support notifications package \
-		plasma-framework service solid widgetsaddons windowsystem xmlgui \
+		globalaccel i18n iconthemes itemmodels itemviews kcmutils \
+		notifications package statusnotifieritem service solid \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		core dbus gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
-# we want the KF5 version of kmix
-CMAKE_ARGS=	-DKMIX_KF5_BUILD:BOOL=TRUE
-
 OPTIONS_DEFINE=	PULSEAUDIO DOCS
 # TODO: readd ALSA option
 #
diff --git a/audio/kmix/distinfo b/audio/kmix/distinfo
index 6333d0042b35..8067a810c4a5 100644
--- a/audio/kmix/distinfo
+++ b/audio/kmix/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889369
-SHA256 (KDE/release-service/23.08.5/kmix-23.08.5.tar.xz) = 8671aca9dbe50c82885c2b346461488dc491645eb09728fa75c33492e42c8180
-SIZE (KDE/release-service/23.08.5/kmix-23.08.5.tar.xz) = 1208736
+TIMESTAMP = 1734460025
+SHA256 (KDE/release-service/24.12.0/kmix-24.12.0.tar.xz) = 1057928512a7752c2bc32da83c8ecb6d7b8f2215aa71111be98704905ccf97b2
+SIZE (KDE/release-service/24.12.0/kmix-24.12.0.tar.xz) = 1166316
diff --git a/audio/kmix/pkg-plist b/audio/kmix/pkg-plist
index 30830a55fcdf..aa95d1f9e5a8 100644
--- a/audio/kmix/pkg-plist
+++ b/audio/kmix/pkg-plist
@@ -4,8 +4,7 @@ bin/kmixremote
 etc/xdg/autostart/kmix_autostart.desktop
 etc/xdg/autostart/restore_kmix_volumes.desktop
 lib/libkmixcore.so.%%KDE_APPLICATIONS_VERSION%%
-lib/libkmixcore.so.5
-%%QT_PLUGINDIR%%/kf5/kded/kmixd.so
+lib/libkmixcore.so.6
 share/applications/org.kde.kmix.desktop
 share/config.kcfg/kmixsettings.kcfg
 share/dbus-1/interfaces/org.kde.kmix.control.xml
@@ -31,6 +30,8 @@ share/icons/hicolor/64x64/actions/kmix.png
 %%DATADIR%%/pics/mixer-pcm.png
 %%DATADIR%%/pics/mixer-surround.png
 %%DATADIR%%/pics/mixer-video.png
+%%DATADIR%%/pics/settings-channels.png
+%%DATADIR%%/pics/settings-master.png
 %%DATADIR%%/pics/show-mixer.png
 %%DATADIR%%/profiles/ALSA.TerraTec_DMX6Fire.1.default.xml
 %%DATADIR%%/profiles/ALSA.capture.xml
@@ -40,8 +41,7 @@ share/icons/hicolor/64x64/actions/kmix.png
 %%DATADIR%%/profiles/OSS.default.xml
 %%DATADIR%%/profiles/PulseAudio.default.xml
 %%DATADIR%%/profiles/SUNAudio.default.xml
-share/knotifications5/kmix.notifyrc
-share/kservices5/kmixctrl_restore.desktop
+share/knotifications6/kmix.notifyrc
 share/kxmlgui5/kmix/kmixui.rc
 share/locale/af/LC_MESSAGES/kmix.mo
 share/locale/ar/LC_MESSAGES/kmix.mo
@@ -119,4 +119,4 @@ share/locale/zh_CN/LC_MESSAGES/kmix.mo
 share/locale/zh_HK/LC_MESSAGES/kmix.mo
 share/locale/zh_TW/LC_MESSAGES/kmix.mo
 share/metainfo/org.kde.kmix.appdata.xml
-share/qlogging-categories5/kmix.categories
+share/qlogging-categories6/kmix.categories
diff --git a/audio/kwave/Makefile b/audio/kwave/Makefile
index df65d96b18ac..248a31f456eb 100644
--- a/audio/kwave/Makefile
+++ b/audio/kwave/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kwave
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	audio kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -17,15 +16,14 @@ LIB_DEPENDS=	libaudiofile.so:audio/libaudiofile \
 		libsamplerate.so:audio/libsamplerate \
 		libvorbisenc.so:audio/libvorbis
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
-		localbase:ldflags magick:6,build pkgconfig qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		localbase:ldflags pkgconfig qt:6 tar:xz xorg
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons i18n iconthemes itemviews \
+		coreaddons crash dbusaddons doctools i18n iconthemes itemviews \
 		jobwidgets kio service solid sonnet textwidgets widgetsaddons \
 		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui multimedia network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_GROUP=			AUDIOPLUGIN
diff --git a/audio/kwave/distinfo b/audio/kwave/distinfo
index 3409d7135195..ab4b83dd8b62 100644
--- a/audio/kwave/distinfo
+++ b/audio/kwave/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889366
-SHA256 (KDE/release-service/23.08.5/kwave-23.08.5.tar.xz) = c6183a93e9e545265035c589ec7d059772507e493546d9b25117a520d2cfc408
-SIZE (KDE/release-service/23.08.5/kwave-23.08.5.tar.xz) = 6983092
+TIMESTAMP = 1734460026
+SHA256 (KDE/release-service/24.12.0/kwave-24.12.0.tar.xz) = 711eac6beaf4efdfbb3dbbac5ff0838bcd655b738fce3b5b4a4f2bfab1f4c13e
+SIZE (KDE/release-service/24.12.0/kwave-24.12.0.tar.xz) = 6468636
diff --git a/audio/kwave/pkg-plist b/audio/kwave/pkg-plist
index 9d9048488b0f..7f21af7bad4b 100644
--- a/audio/kwave/pkg-plist
+++ b/audio/kwave/pkg-plist
@@ -3,52 +3,37 @@ lib/libkwave.so.%%KDE_APPLICATIONS_VERSION_SHORT%%
 lib/libkwave.so.%%KDE_APPLICATIONS_VERSION%%
 lib/libkwavegui.so.%%KDE_APPLICATIONS_VERSION_SHORT%%
 lib/libkwavegui.so.%%KDE_APPLICATIONS_VERSION%%
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_about.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_amplifyfree.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_band_pass.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_codec_ascii.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_codec_audiofile.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_codec_flac.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_codec_mp3.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_codec_ogg.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_codec_wav.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_debug.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_export_k3b.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_fileinfo.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_goto.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_insert_at.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_lowpass.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_newsignal.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_noise.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_normalize.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_notch_filter.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_pitch_shift.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_playback.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_record.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_reverse.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_samplerate.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_saveblocks.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_selectrange.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_sonagram.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_stringenter.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_volume.so
-%%QT_PLUGINDIR%%/kwave/kwaveplugin_zero.so
+%%QT_PLUGINDIR%%/kwave/about.so
+%%QT_PLUGINDIR%%/kwave/amplifyfree.so
+%%QT_PLUGINDIR%%/kwave/band_pass.so
+%%QT_PLUGINDIR%%/kwave/codec_ascii.so
+%%QT_PLUGINDIR%%/kwave/codec_audiofile.so
+%%QT_PLUGINDIR%%/kwave/codec_flac.so
+%%QT_PLUGINDIR%%/kwave/codec_mp3.so
+%%QT_PLUGINDIR%%/kwave/codec_ogg.so
+%%QT_PLUGINDIR%%/kwave/codec_wav.so
+%%QT_PLUGINDIR%%/kwave/debug.so
+%%QT_PLUGINDIR%%/kwave/export_k3b.so
+%%QT_PLUGINDIR%%/kwave/fileinfo.so
+%%QT_PLUGINDIR%%/kwave/goto.so
+%%QT_PLUGINDIR%%/kwave/insert_at.so
+%%QT_PLUGINDIR%%/kwave/lowpass.so
+%%QT_PLUGINDIR%%/kwave/newsignal.so
+%%QT_PLUGINDIR%%/kwave/noise.so
+%%QT_PLUGINDIR%%/kwave/normalize.so
+%%QT_PLUGINDIR%%/kwave/notch_filter.so
+%%QT_PLUGINDIR%%/kwave/pitch_shift.so
+%%QT_PLUGINDIR%%/kwave/playback.so
+%%QT_PLUGINDIR%%/kwave/record.so
+%%QT_PLUGINDIR%%/kwave/reverse.so
+%%QT_PLUGINDIR%%/kwave/samplerate.so
+%%QT_PLUGINDIR%%/kwave/saveblocks.so
+%%QT_PLUGINDIR%%/kwave/selectrange.so
+%%QT_PLUGINDIR%%/kwave/sonagram.so
+%%QT_PLUGINDIR%%/kwave/stringenter.so
+%%QT_PLUGINDIR%%/kwave/volume.so
+%%QT_PLUGINDIR%%/kwave/zero.so
 share/applications/org.kde.kwave.desktop
-share/icons/hicolor/scalable/actions/kwave_player_end.svgz
-share/icons/hicolor/scalable/actions/kwave_player_fwd.svgz
-share/icons/hicolor/scalable/actions/kwave_player_loop.svgz
-share/icons/hicolor/scalable/actions/kwave_player_pause.svgz
-share/icons/hicolor/scalable/actions/kwave_player_pause_2.svgz
-share/icons/hicolor/scalable/actions/kwave_player_play.svgz
-share/icons/hicolor/scalable/actions/kwave_player_record.svgz
-share/icons/hicolor/scalable/actions/kwave_player_rew.svgz
-share/icons/hicolor/scalable/actions/kwave_player_start.svgz
-share/icons/hicolor/scalable/actions/kwave_player_stop.svgz
-share/icons/hicolor/scalable/actions/kwave_viewmag.svgz
-share/icons/hicolor/scalable/actions/kwave_viewmagfit.svgz
-share/icons/hicolor/scalable/actions/kwave_zoom_in.svgz
-share/icons/hicolor/scalable/actions/kwave_zoom_original.svgz
-share/icons/hicolor/scalable/actions/kwave_zoom_out.svgz
 share/icons/hicolor/scalable/apps/kwave.svgz
 %%DATADIR%%/menus.config
 %%DATADIR%%/pics/amplify_free.png
diff --git a/audio/libkcddb/Makefile b/audio/libkcddb/Makefile
index e593a5125ab0..1d2b1e1d0612 100644
--- a/audio/libkcddb/Makefile
+++ b/audio/libkcddb/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	libkcddb
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	audio kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,13 +8,12 @@ WWW=		https://www.kde.org/
 
 LIB_DEPENDS=	libmusicbrainz5.so:audio/libmusicbrainz5
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets \
-		coreaddons i18n jobwidgets kcmutils kio service solid \
-		widgetsaddons windowsystem \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
+		jobwidgets kcmutils kio service solid widgetsaddons \
+		windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/audio/libkcddb/distinfo b/audio/libkcddb/distinfo
index 9b1d69a76aee..ba30f65ee844 100644
--- a/audio/libkcddb/distinfo
+++ b/audio/libkcddb/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889367
-SHA256 (KDE/release-service/23.08.5/libkcddb-23.08.5.tar.xz) = 43d29b785a7217ac27bc94ce1b1827eaaf0191a13c56162eb23b07bd3fccf9c5
-SIZE (KDE/release-service/23.08.5/libkcddb-23.08.5.tar.xz) = 451388
+TIMESTAMP = 1734460028
+SHA256 (KDE/release-service/24.12.0/libkcddb-24.12.0.tar.xz) = 6beef1b07dbe2970c1b5613f8e98fffa008b8e2c9d37a6011614434ceb771944
+SIZE (KDE/release-service/24.12.0/libkcddb-24.12.0.tar.xz) = 450032
diff --git a/audio/libkcddb/pkg-plist b/audio/libkcddb/pkg-plist
index 510b61369dbb..75857f937654 100644
--- a/audio/libkcddb/pkg-plist
+++ b/audio/libkcddb/pkg-plist
@@ -1,37 +1,25 @@
-include/KCddb5/KCDDB/CDInfo
-include/KCddb5/KCDDB/Categories
-include/KCddb5/KCDDB/Client
-include/KCddb5/KCDDB/Config
-include/KCddb5/KCDDB/Genres
-include/KCddb5/KCDDB/KCDDB
-include/KCddb5/kcddb/categories.h
-include/KCddb5/kcddb/cdinfo.h
-include/KCddb5/kcddb/client.h
-include/KCddb5/kcddb/config.h
-include/KCddb5/kcddb/configbase.h
-include/KCddb5/kcddb/genres.h
-include/KCddb5/kcddb/kcddb.h
-include/KCddb5/kcddb/kcddb_export.h
-include/KCddb5/kcddb_version.h
-include/KF5/KCddb/Categories
-include/KF5/KCddb/Cdinfo
-include/KF5/KCddb/Client
-include/KF5/KCddb/Genres
-include/KF5/KCddb/Kcddb
-include/KF5/KCddb/KcddbConfig
-include/KF5/KCddb/categories.h
-include/KF5/KCddb/cdinfo.h
-include/KF5/KCddb/client.h
-include/KF5/KCddb/genres.h
-include/KF5/KCddb/kcddb.h
-include/KF5/KCddb/kcddbconfig.h
-lib/cmake/KF5Cddb/KF5CddbConfig.cmake
-lib/cmake/KF5Cddb/KF5CddbConfigVersion.cmake
-lib/cmake/KF5Cddb/KF5CddbTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5Cddb/KF5CddbTargets.cmake
-lib/libKF5Cddb.so
-lib/libKF5Cddb.so.5
-lib/libKF5Cddb.so.5.1.0
+include/KCddb6/KCDDB/CDInfo
+include/KCddb6/KCDDB/Categories
+include/KCddb6/KCDDB/Client
+include/KCddb6/KCDDB/Config
+include/KCddb6/KCDDB/Genres
+include/KCddb6/KCDDB/KCDDB
+include/KCddb6/kcddb/categories.h
+include/KCddb6/kcddb/cdinfo.h
+include/KCddb6/kcddb/client.h
+include/KCddb6/kcddb/config.h
+include/KCddb6/kcddb/configbase.h
+include/KCddb6/kcddb/genres.h
+include/KCddb6/kcddb/kcddb.h
+include/KCddb6/kcddb/kcddb_export.h
+include/KCddb6/kcddb_version.h
+lib/cmake/KCddb6/KCddb6Config.cmake
+lib/cmake/KCddb6/KCddb6ConfigVersion.cmake
+lib/cmake/KCddb6/KCddb6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KCddb6/KCddb6Targets.cmake
+lib/libKCddb6.so
+lib/libKCddb6.so.5
+lib/libKCddb6.so.5.1.0
 %%QT_MKSPECDIR%%/modules/qt_KCddb.pri
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings_qwidgets/kcm_cddb.so
 share/applications/kcm_cddb.desktop
@@ -176,4 +164,4 @@ share/locale/zh_CN/LC_MESSAGES/libkcddb.mo
 share/locale/zh_HK/LC_MESSAGES/kcmcddb.mo
 share/locale/zh_TW/LC_MESSAGES/kcmcddb.mo
 share/locale/zh_TW/LC_MESSAGES/libkcddb.mo
-share/qlogging-categories5/libkcddb.categories
+share/qlogging-categories6/libkcddb.categories
diff --git a/audio/libkcompactdisc/Makefile b/audio/libkcompactdisc/Makefile
index 450bf5150bcd..1af60a892640 100644
--- a/audio/libkcompactdisc/Makefile
+++ b/audio/libkcompactdisc/Makefile
@@ -6,12 +6,10 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE library for interfacing with audio CDs
 WWW=		https://www.kde.org/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	coreaddons emoticons i18n itemmodels itemviews \
-		kdelibs4support phonon solid \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	coreaddons i18n itemmodels itemviews phonon solid \
 		ecm:build
-USE_QT=		core dbus gui widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	ALSA DOCS
diff --git a/audio/libkcompactdisc/distinfo b/audio/libkcompactdisc/distinfo
index 4eed2a0776df..e3bd315bfeb9 100644
--- a/audio/libkcompactdisc/distinfo
+++ b/audio/libkcompactdisc/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889368
-SHA256 (KDE/release-service/23.08.5/libkcompactdisc-23.08.5.tar.xz) = 6f524a40c8b0ceef8420d5abc37696864909b0d71ab106fde4a23ac3a24d96ff
-SIZE (KDE/release-service/23.08.5/libkcompactdisc-23.08.5.tar.xz) = 99360
+TIMESTAMP = 1734460030
+SHA256 (KDE/release-service/24.12.0/libkcompactdisc-24.12.0.tar.xz) = 9bea8582bcf63acfebc7b67018edc6849b32f306bc6a45edb90f33048d4fbc8e
+SIZE (KDE/release-service/24.12.0/libkcompactdisc-24.12.0.tar.xz) = 100592
diff --git a/audio/libkcompactdisc/pkg-plist b/audio/libkcompactdisc/pkg-plist
index 89c52b034d7e..f62670151fcf 100644
--- a/audio/libkcompactdisc/pkg-plist
+++ b/audio/libkcompactdisc/pkg-plist
@@ -1,16 +1,17 @@
-include/KF5/KCompactDisc/KCompactDisc
-include/KF5/KCompactDisc/kcompactdisc.h
-include/KF5/KCompactDisc/kcompactdisc_export.h
-include/KF5/KCompactDisc/kcompactdisc_version.h
-lib/cmake/KF5CompactDisc/KF5CompactDiscConfig.cmake
-lib/cmake/KF5CompactDisc/KF5CompactDiscConfigVersion.cmake
-lib/cmake/KF5CompactDisc/KF5CompactDiscTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5CompactDisc/KF5CompactDiscTargets.cmake
-lib/libKF5CompactDisc.so
-lib/libKF5CompactDisc.so.5
-lib/libKF5CompactDisc.so.5.0.0
+include/KCompactDisc6/KCompactDisc
+include/KCompactDisc6/kcompactdisc.h
+include/KCompactDisc6/kcompactdisc_export.h
+include/KCompactDisc6/kcompactdisc_version.h
+lib/cmake/KCompactDisc6/KCompactDisc6Config.cmake
+lib/cmake/KCompactDisc6/KCompactDisc6ConfigVersion.cmake
+lib/cmake/KCompactDisc6/KCompactDisc6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KCompactDisc6/KCompactDisc6Targets.cmake
+lib/libKCompactDisc6.so
+lib/libKCompactDisc6.so.5
+lib/libKCompactDisc6.so.5.0.0
 %%QT_MKSPECDIR%%/modules/qt_KCompactDisc.pri
 share/locale/ar/LC_MESSAGES/libkcompactdisc.mo
+share/locale/ast/LC_MESSAGES/libkcompactdisc.mo
 share/locale/be/LC_MESSAGES/libkcompactdisc.mo
 share/locale/bg/LC_MESSAGES/libkcompactdisc.mo
 share/locale/bs/LC_MESSAGES/libkcompactdisc.mo
@@ -58,6 +59,7 @@ share/locale/pt/LC_MESSAGES/libkcompactdisc.mo
 share/locale/pt_BR/LC_MESSAGES/libkcompactdisc.mo
 share/locale/ro/LC_MESSAGES/libkcompactdisc.mo
 share/locale/ru/LC_MESSAGES/libkcompactdisc.mo
+share/locale/sa/LC_MESSAGES/libkcompactdisc.mo
 share/locale/se/LC_MESSAGES/libkcompactdisc.mo
 share/locale/sk/LC_MESSAGES/libkcompactdisc.mo
 share/locale/sl/LC_MESSAGES/libkcompactdisc.mo
diff --git a/databases/akonadi/Makefile b/databases/akonadi/Makefile
index 294c51db687c..60f5b9fb2739 100644
--- a/databases/akonadi/Makefile
+++ b/databases/akonadi/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	akonadi
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	3
 CATEGORIES=	databases kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -10,24 +9,20 @@ WWW=		https://community.kde.org/KDE_PIM/Akonadi
 LICENSE=	LGPL21
 
 LIB_DEPENDS=	libboost_thread.so:devel/boost-libs \
-		libkaccounts.so:net-im/kaccounts-integration \
-		libaccounts-qt5.so:net-im/libaccounts-qt@qt5
+		libkaccounts6.so:net-im/kaccounts-integration \
+		libaccounts-qt6.so:net-im/libaccounts-qt@qt6
 # Let process generate meaningful backtrace on core dump.
 BUILD_DEPENDS=	xsltproc:textproc/libxslt
 
-CONFLICTS=	akonadi akonadi-kf5-git
-
-USES=		cmake compiler:c++11-lib gettext gnome kde:5 qt:5 \
+USES=		cmake compiler:c++11-lib gettext gnome kde:6 qt:6 \
 		shared-mime-info sqlite:3 tar:xz xorg
 USE_GNOME=	libxml2
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons guiaddons i18n iconthemes itemmodels itemviews \
-		kio service windowsystem widgetsaddons xmlgui \
-		designerplugin:build ecm:build \
-		designerplugin:run
-USE_QT=		concurrent core dbus designer gui network sql testlib widgets xml \
-		buildtools:build qmake:build \
-		sql-sqlite3:run
+		dbusaddons guiaddons i18n iconthemes itemmodels itemviews kio \
+		service widgetsaddons windowsystem xmlgui \
+		ecm:build
+USE_QT=		base \
+		sqldriver-sqlite:run
 USE_XORG=	x11
 CMAKE_ARGS+=	-DCMAKE_REQUIRED_INCLUDES:STRING="${LOCALBASE}/include" \
 		-DMYSQLD_EXECUTABLE:FILEPATH="${LOCALBASE}/libexec/mysqld" \
@@ -43,10 +38,10 @@ OPTIONS_DEFAULT=	MYSQL
 
 MYSQL_DESC=		Install MySQL Qt plugin and server
 MYSQL_USES=		mysql:server
-MYSQL_USE=		QT=sql-mysql:run
+MYSQL_USE=		QT=sqldriver-mysql:run
 
 PGSQL_DESC=		Install PostgreSQL Qt plugin
-PGSQL_USE=		QT=sql-pgsql:run
+PGSQL_USE=		QT=sqldriver-psql:run
 
 .include <bsd.port.options.mk>
 
diff --git a/databases/akonadi/distinfo b/databases/akonadi/distinfo
index 0a04279adfac..157d0ec50e66 100644
--- a/databases/akonadi/distinfo
+++ b/databases/akonadi/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889372
-SHA256 (KDE/release-service/23.08.5/akonadi-23.08.5.tar.xz) = abdbdb28c1084a6ad119d7292175ad31efb4a7898a32cc32a35aa1485d9c4f38
-SIZE (KDE/release-service/23.08.5/akonadi-23.08.5.tar.xz) = 1662512
+TIMESTAMP = 1734460031
+SHA256 (KDE/release-service/24.12.0/akonadi-24.12.0.tar.xz) = ca71758319f0529b4af0ef4bf16352b023c002b9fe578524c82f4dc7ff0e9ae2
+SIZE (KDE/release-service/24.12.0/akonadi-24.12.0.tar.xz) = 1710188
diff --git a/databases/akonadi/pkg-plist b/databases/akonadi/pkg-plist
index c6654533d25d..4fc37cb7942a 100644
--- a/databases/akonadi/pkg-plist
+++ b/databases/akonadi/pkg-plist
@@ -1,3 +1,4 @@
+bin/akonadi-db-migrator
 bin/akonadi2xml
 bin/akonadi_agent_launcher
 bin/akonadi_agent_server
